Skip to main content
`Ctrl`+`K`

# TSAdaptDSPSetPID

Set the PID controller parameters [SoderlindW06] [Soderlind03]

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSAdaptDSPSetPID(TSAdapt adapt, PetscReal kkI, PetscReal kkP, PetscReal kkD)

## Input Parameters

- adapt - adaptive controller context

- kkI - Integral parameter

- kkP - Proportional parameter

- kkD - Derivative parameter

## Options Database Key

- -ts_adapt_dsp_pid <kkI,kkP,kkD> - Sets PID controller parameters

## References

[Soderlind03]

Gustaf Söderlind. Digital filters in adaptive time-stepping. ACM Transactions on Mathematical Software (TOMS), 29(1):1–26, 2003.

[SoderlindW06]

Gustaf Söderlind and Lina Wang. Adaptive time-stepping and computational stability. Journal of Computational and Applied Mathematics, 185(2):225–243, 2006.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSAdapt`, `TSGetAdapt()`, `TSAdaptDSPSetFilter()`

## Level

intermediate

## Location

src/ts/adapt/impls/dsp/adaptdsp.c

## Implementations

TSAdaptDSPSetPID_DSP() in src/ts/adapt/impls/dsp/adaptdsp.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages